#-------------------------------------------------
#
# Project created by QtCreator 2016-07-20T14:56:18
#
#-------------------------------------------------

QT       += core gui network printsupport multimedia sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

include("./QsLog/QsLog.pri")

TARGET = fmTakeaway
TEMPLATE = app
CONFIG += c++11

INCLUDEPATH += ../fmPlugin
INCLUDEPATH += ../fmPrinter

SOURCES += main.cpp\
        mainForm.cpp \
    alertForm.cpp \
    dbsetForm.cpp \
    DTools/configManger.cpp \
    Control/flowControl.cpp \
    Network/billSocket.cpp \
    DTools/dataManger.cpp \
    Model/orderObject.cpp \
    Model/baseObject.cpp \
    Model/deliverObject.cpp \
    Model/productObject.cpp \
    DTools/util.cpp \
    Model/cashierObject.cpp \
    pickForm.cpp \
    settingForm.cpp \
    floatForm.cpp \
    detailForm.cpp \
    Control/refundControl.cpp \
    Model/stockObject.cpp \
    DTools/clickedLineEdit.cpp \
    DTools/sysTray.cpp \
    padForm.cpp \
    refuseForm.cpp \
    DTools/orderstatus.cpp

HEADERS  += \
    mainForm.h \
    preDefine.h \
    alertForm.h \
    dbsetForm.h \
    DTools/configManger.h \
    Control/flowControl.h \
    Network/billSocket.h \
    DTools/dataManger.h \
    Model/orderObject.h \
    Model/baseObject.h \
    Model/deliverObject.h \
    Model/productObject.h \
    DTools/util.h \
    Model/cashierObject.h \
    pickForm.h \
    settingForm.h \
    floatForm.h \
    detailForm.h \
    Control/refundControl.h \
    Model/stockObject.h \
    DTools/clickedLineEdit.h \
    DTools/sysTray.h \
    padForm.h \
    refuseForm.h \
    DTools/orderstatus.h

FORMS    += mainForm.ui \
    alertForm.ui \
    dbsetForm.ui \
    pickForm.ui \
    settingForm.ui \
    floatForm.ui \
    detailForm.ui \
    padForm.ui \
    refuseForm.ui

RC_FILE += fmTakeaway.rc

DESTDIR += ../XianFeng


CONFIG(release, debug|release) {
    LIBS += -L$$DESTDIR -lfmPlugin
    LIBS += -L$$DESTDIR -lfmPrinter
} else {
    LIBS += -L$$DESTDIR -lfmPlugin
    LIBS += -L$$DESTDIR -lfmPrinter
}
